%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Package-Stash
Version:       0.40
Release:       2mamba
Summary:       Package::Stash - routines for manipulating stashes
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Package/Package-Stash-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Module-Implementation
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
BuildRequires: perl-Dist-Checkconflicts
BuildRequires: perl-CPAN-Meta-Check
Requires:      perl >= %perl_major_ver
Provides:      perl(Package::Stash::Conflicts)

%description
Package::Stash - routines for manipulating stashes.

%prep
%setup -q -n Package-Stash-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE
## note: eventually add the remaining documents (if any)
# %doc README

%changelog
* Mon Apr 17 2023 Sdk Build System <sdk@mambasoft.it> 0.40-2mamba
- rebuilt with perl 5.36.0

* Mon Feb 21 2022 Automatic Build System <autodist@mambasoft.it> 0.40-1mamba
- automatic version update by autodist

* Tue Mar 09 2021 Automatic Build System <autodist@mambasoft.it> 0.39-1mamba
- automatic version update by autodist

* Fri Oct 21 2016 Automatic Build System <autodist@mambasoft.it> 0.37-1mamba
- automatic update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 0.36-1mamba
- automatic update by autodist

* Wed Jul 10 2013 Automatic Build System <autodist@mambasoft.it> 0.35-1mamba
- automatic version update by autodist

* Wed Jan 09 2013 Automatic Build System <autodist@mambasoft.it> 0.34-1mamba
- automatic version update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-2mamba
- perl 5.16 mass rebuild

* Sat Oct 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.33-1mamba
- package created by autospec
